Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class TLoadedState

    java.lang.Object
      org.apache.openjpa.kernel.PCState
          org.apache.openjpa.kernel.TLoadedState

All Implemented Interfaces:
  Serializable

     class TLoadedState

extends PCState

Lifecycle state. Represents a temporarily managed transient instance whose fields are loaded for the purpose of field inspection such as for cascades. This state should be released as soon as inspection is complete.

Author:
  Steve Kim

Field Summary

Fields inherited from class org.apache.openjpa.kernel.PCState
`ECLEAN, ECOPY, EDELETED, EDIRTY, ENONTRANS, HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNEWPROVISIONAL, PNONTRANS, PNONTRANSDELETED, PNONTRANSDIRTY, PNONTRANSNEW, TCLEAN, TDIRTY, TLOADED, TRANSIENT`

Constructor Summary
`TLoadedState()`

Method Summary
`(package private) void` | `initialize(StateManagerImpl context, PCState previous)` Called when this state is first assigned to the given state manager.
`(package private) PCState` | `release(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `Broker#makeTransient` with the given instance.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.kernel.PCState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeOptimisticWrite, beforeRead, beforeWrite, commit, commitRetain, delete, error, evict, flush, isDeleted, isDirty, isNew, isPendingTransactional, isPersistent, isProvisional, isTransactional, isVersionCheckRequired, nonprovisional, nontransactional, persist, readResolve, rollback, rollbackRestore, transactional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TLoadedState

    TLoadedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context,
                    PCState previous)

  Description copied from class: `PCState`
  Called when this state is first assigned to the given state manager.

  Overrides:
    `initialize` in class `PCState`

### release

    PCState release(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `Broker#makeTransient` with the given instance. Returns the `this` pointer by default.

  Overrides:
    `release` in class `PCState`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.